Subject: Re: [PATCH net-next v2 2/3] bonding: support QinQ for bond arp interval

From: Ding Tianhong <[email-masked]>
Date: Wed, 19 Mar 2014 19:16:51 +0800

On 2014/3/19 13:39, Veaceslav Falico wrote:
> On Wed, Mar 19, 2014 at 09:29:25AM +0800, Ding Tianhong wrote:
> ...snip...
>> The QinQ didn't mean that the first(outer) tag must be 802.1ad, and the second(inner) tag must be 802.1q,
> 
> Do you have a quote for that from the standard? What I know and read
> everywhere is that the standard specifies the outer s-tag to always be
> 0x88A8.
> 
> The other thing is that we don't live in an ideal world and there are a
> lot of non-standard implementations out there, which might use 0x8100,
> 0x9100, 0x9200, 0x9300... for the outer s-tag, that's why using the
> user-provided proto is better.
> 
> 

Sorry for feedback so late, I'm too busy these days.

Agree, as far as I know, The original "QinQ" means "802.1Q in 802.1Q", but in practical applications,
the network operators could set the out tag to 0x9100, 0x8100 ... as they wished in the switch, this is no
limit, but in linux kernel the vlan only support 802.1ad and 801.1q, so we can only make choices in these values, 
so here I think let the user to decide the real proto is more reasonbale.

Regards
Ding